Package: org.codehaus.groovy.transform.stc

## [Java] Class ExtensionMethodNode

- org.codehaus.groovy.transform.stc.ExtensionMethodNode

-     public class ExtensionMethodNode
      extends MethodNode

  Represents method nodes which are used by the static type checker to virtually add methods coming from DGM-like methods.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtensionMethodNode(MethodNode extensionMethodNode, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code, boolean isStaticExtension)`
    `ExtensionMethodNode(MethodNode extensionMethodNode, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MethodNode` | `getExtensionMethodNode()` Returns the original extension method represented by this synthetic node.
    `` | `public boolean` | `isStaticExtension()` Indicates whether this node models a static extension method.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodNode` | `getCode, getExceptions, getFirstStatement, getGenericsTypes, getModifiers, getName, getParameters, getReturnType, getText, getTypeDescriptor, getTypeDescriptor, getVariableScope, hasAnnotationDefault, hasDefaultValue, isAbstract, isConstructor, isDefault, isDynamicReturnType, isFinal, isPackageScope, isPrivate, isProtected, isPublic, isScriptBody, isStatic, isStaticConstructor, isSyntheticPublic, isVoidMethod, setAnnotationDefault, setCode, setGenericsTypes, setIsScriptBody, setModifiers, setParameters, setReturnType, setSyntheticPublic, setVariableScope, toString`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public ExtensionMethodNode(MethodNode extensionMethodNode, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code, boolean isStaticExtension)

    - #### public ExtensionMethodNode(MethodNode extensionMethodNode, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code)

  - ### Method Detail

    - #### public MethodNode getExtensionMethodNode()

      Returns the original extension method represented by this synthetic node.

    - #### public boolean isStaticExtension()

      Indicates whether this node models a static extension method.